
# 中文数字与阿拉伯数字对应表
zh2arab_tab = {
    '零': 0, '一': 1, '二': 2, '三': 3, '四': 4, '五': 5, '六': 6, '七': 7, '八': 8, '九': 9,
    '〇': 0, '壹': 1, '贰': 2, '叁': 3, '肆': 4, '伍': 5, '陆': 6, '柒': 7, '捌': 8, '玖': 9,
    '貮': 2, '两': 2, '日': 7, '末': 7, '天': 7
}

# 归一化词典 key: 正则表达式  value: 待替换的值
normative_tab = {
    r"\s": "",          # 去除空格 tab等
    r"[的]+": "",       # 去除 的
    r"过年": "春节",    # 过年 -> 春节
    r"大年": "春节",    # 过年 -> 春节
    r"中旬": "15日",
    r"51劳动节": "劳动节",
    r"：": ":"
}


# 传统节日
traditional_festivals = {
    "中和节": "02-02",
    "中秋节": "08-15",
    "中元节": "07-15",
    "端午节": "05-05",
    "春节": "01-01",
    "元宵节": "01-15",
    "重阳节": "09-09",
    "7夕节": "07-07",
    "初1节": "01-01",
    "初2节": "01-02",
    "初3节": "01-03",
    "初4节": "01-04",
    "初5节": "01-05",
    "初6节": "01-06",
    "初7节": "01-07",
    "初8节": "01-08",
    "初9节": "01-09",
    "初10节": "01-10",
    "初11节": "01-11",
    "初12节": "01-12",
    "初13节": "01-13",
    "初14节": "01-14",
    "初15节": "01-15"
}

# 现代节日
modern_festivals = {
    "植树节": "03-12",
    "圣诞节": "12-25",
    "青年节": "05-04",
    "教师节": "09-10",
    "儿童节": "06-01",
    "元旦节": "01-01",
    "国庆节": "10-01",
    "劳动节": "05-01",
    "妇女节": "03-08",
    "建军节": "08-01",
    "航海日节": "07-11",
    "建党节": "07-01",
    "记者节": "11-08",
    "情人节": "02-14",
    "母亲节": "05-11"
}
